/**
 * A function that returns the URL part common to the endpoints.
 */
declare const root: () => string;
/**
 * health check
 *
 */
declare const healthCheck: () => string;
/**
 * DraftRevisionのフォーム情報を取得する
 *
 */
declare const formGet: ({ id }: {
    id: string;
}) => string;
/**
 * 特定のRevisionのフォーム情報を取得する
 *
 */
declare const formGetByRevision: ({ id, revision, }: {
    id: string;
    revision: string;
}) => string;
/**
 * Formを新規作成する
 *
 */
declare const formCreate: () => string;
/**
 * ユーザーに紐づいたフォームを全件取得する
 *
 */
declare const formFindAll: () => string;
/**
 * Formを更新する
 *
 */
declare const formUpdate: ({ id }: {
    id: string;
}) => string;
/**
 * Formのシート機能を有効化する
 *
 */
declare const formActivateSheetFeature: ({ id }: {
    id: string;
}) => string;
/**
 * Formの公開ステータスをPrivateに変更する
 *
 */
declare const formPublishStatusChangeToPrivate: ({ id }: {
    id: string;
}) => string;
/**
 * FormのContentを更新する
 *
 */
declare const formsCreateNewRevision: ({ id }: {
    id: string;
}) => string;
/**
 * Form内容を確定し公開する
 *
 */
declare const formPublish: ({ id }: {
    id: string;
}) => string;
/**
 * 質問を作成する
 *
 */
declare const formQuestionCreate: ({ formId }: {
    formId: string;
}) => string;
/**
 * 質問を挿入する
 *
 */
declare const formQuestionInsert: ({ formId }: {
    formId: string;
}) => string;
/**
 * 質問を削除する
 *
 */
declare const formQuestionDelete: ({ formId }: {
    formId: string;
}) => string;
/**
 * 質問を更新する
 *
 */
declare const formQuestionUpdate: ({ formId, questionId, }: {
    formId: string;
    questionId: string;
}) => string;
/**
 * 回答を取得
 *
 */
declare const submissionGet: ({ formId }: {
    formId: string;
}) => string;
/**
 * 回答を作成
 *
 */
declare const submissionCreate: () => string;
/**
 * ゲストがフォームの情報を取得する
 *
 */
declare const guestFormGet: ({ formId }: {
    formId: string;
}) => string;
/**
 * Googleのトークンでサインインする
 *
 */
declare const signInWithGoogle: () => string;
/**
 * Googleのトークンでサインアップする
 *
 */
declare const signUpWithGoogle: () => string;
declare const matsuriForms_v1: {
    healthCheck: () => string;
    formGet: ({ id }: {
        id: string;
    }) => string;
    formGetByRevision: ({ id, revision, }: {
        id: string;
        revision: string;
    }) => string;
    formCreate: () => string;
    formFindAll: () => string;
    formUpdate: ({ id }: {
        id: string;
    }) => string;
    formActivateSheetFeature: ({ id }: {
        id: string;
    }) => string;
    formPublishStatusChangeToPrivate: ({ id }: {
        id: string;
    }) => string;
    formsCreateNewRevision: ({ id }: {
        id: string;
    }) => string;
    formPublish: ({ id }: {
        id: string;
    }) => string;
    formQuestionCreate: ({ formId }: {
        formId: string;
    }) => string;
    formQuestionInsert: ({ formId }: {
        formId: string;
    }) => string;
    formQuestionDelete: ({ formId }: {
        formId: string;
    }) => string;
    formQuestionUpdate: ({ formId, questionId, }: {
        formId: string;
        questionId: string;
    }) => string;
    submissionGet: ({ formId }: {
        formId: string;
    }) => string;
    submissionCreate: () => string;
    guestFormGet: ({ formId }: {
        formId: string;
    }) => string;
    signInWithGoogle: () => string;
    signUpWithGoogle: () => string;
};

declare const v1_formActivateSheetFeature: typeof formActivateSheetFeature;
declare const v1_formCreate: typeof formCreate;
declare const v1_formFindAll: typeof formFindAll;
declare const v1_formGet: typeof formGet;
declare const v1_formGetByRevision: typeof formGetByRevision;
declare const v1_formPublish: typeof formPublish;
declare const v1_formPublishStatusChangeToPrivate: typeof formPublishStatusChangeToPrivate;
declare const v1_formQuestionCreate: typeof formQuestionCreate;
declare const v1_formQuestionDelete: typeof formQuestionDelete;
declare const v1_formQuestionInsert: typeof formQuestionInsert;
declare const v1_formQuestionUpdate: typeof formQuestionUpdate;
declare const v1_formUpdate: typeof formUpdate;
declare const v1_formsCreateNewRevision: typeof formsCreateNewRevision;
declare const v1_guestFormGet: typeof guestFormGet;
declare const v1_healthCheck: typeof healthCheck;
declare const v1_matsuriForms_v1: typeof matsuriForms_v1;
declare const v1_root: typeof root;
declare const v1_signInWithGoogle: typeof signInWithGoogle;
declare const v1_signUpWithGoogle: typeof signUpWithGoogle;
declare const v1_submissionCreate: typeof submissionCreate;
declare const v1_submissionGet: typeof submissionGet;
declare namespace v1 {
  export {
    v1_formActivateSheetFeature as formActivateSheetFeature,
    v1_formCreate as formCreate,
    v1_formFindAll as formFindAll,
    v1_formGet as formGet,
    v1_formGetByRevision as formGetByRevision,
    v1_formPublish as formPublish,
    v1_formPublishStatusChangeToPrivate as formPublishStatusChangeToPrivate,
    v1_formQuestionCreate as formQuestionCreate,
    v1_formQuestionDelete as formQuestionDelete,
    v1_formQuestionInsert as formQuestionInsert,
    v1_formQuestionUpdate as formQuestionUpdate,
    v1_formUpdate as formUpdate,
    v1_formsCreateNewRevision as formsCreateNewRevision,
    v1_guestFormGet as guestFormGet,
    v1_healthCheck as healthCheck,
    v1_matsuriForms_v1 as matsuriForms_v1,
    v1_root as root,
    v1_signInWithGoogle as signInWithGoogle,
    v1_signUpWithGoogle as signUpWithGoogle,
    v1_submissionCreate as submissionCreate,
    v1_submissionGet as submissionGet,
  };
}

export { formGetByRevision as a, formCreate as b, formFindAll as c, formUpdate as d, formActivateSheetFeature as e, formGet as f, formPublishStatusChangeToPrivate as g, healthCheck as h, formsCreateNewRevision as i, formPublish as j, formQuestionCreate as k, formQuestionInsert as l, formQuestionDelete as m, formQuestionUpdate as n, submissionCreate as o, guestFormGet as p, signInWithGoogle as q, root as r, submissionGet as s, signUpWithGoogle as t, matsuriForms_v1 as u, v1 as v };
